<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';
include '../system/head1.php';
//////////user//////////
if($user[prava] <= '2'){
header ("Location: ../error.php");}


switch($_GET[mod]){
default:



if(empty($_POST[user])){
echo "<form action='mod_5.php' method='POST'>";
echo" <div class='title'> Изменить игрока </div>
<div class='empty_block'> <center>
Введите ник игрока:<br/>
   <input class='input' type='text' value='".$_GET[login]."' size='20' name='user'><br/>";

echo' <input class="button" type="submit" value="Изменить"> </center>
</form></div>';
echo" <div class='block_link'>
<a href='index.php'>
<img src='../img/images/arrow.png'> В админку </a></div>";
}
///////





elseif(empty($_POST[login])){
$_POST[user] = htmlspecialchars(stripslashes(addslashes($_POST['user'])));

$b = mysql_query("SELECT * FROM `user` WHERE `login` = '$_POST[user]'");
$b = mysql_fetch_array($b);

echo '<form action="mod_5.php?mod=edit&user='.$_POST[user].'" method="post">';

echo" <div class='title'>$b[login] </div> <div class='empty_block'> ";
echo"Ник:</br>
<input class='input' type='text' value='$b[login]' size='20' name='login'>
</br>Пароль:</br>
<input class='input' type='text' value='$b[password]' size='20' name='password'> 
</br>Prava:</br>
<input class='input' type='text' value='$b[prava]' size='20' name='prava'> ";
///
echo" </br>Пол: ";
if($b[sex]=="man"){
echo"<img src='../img/icon/man.png'/> <b>Мужчина</b> ";
}
if($b[sex]=="woman"){
echo"<img src='../img/icon/woman.png'/> <b>Женщина</b> ";}
echo"</br> 
<select name='sex'>
<option value='".$b[sex]."'>";
if($b[sex]=="man"){
echo" Сейчас мужчина ";
}
if($b[sex]=="woman"){
echo" Сейчас женщина ";}
echo" </option>
<option value='man'>Мужской</option>
<option value='woman'>Женский</option>
</select>";
     //////////////////////////////
echo" </br> Сторона: ";
   if($b[storona]=="dark"){
echo"<img src='../img/icon/red_warrior.png'/> <b>Красный</b> ";}
   if($b[storona]=="light"){
echo"<img src='../img/icon/blue_warrior.png'/> <b>Синий</b> ";}

echo" </br><select name='storona'>
<option value='".$b[storona]."'>"; 
if($b[storona]=="dark"){
echo" сейчас Красный ";}
   if($b[storona]=="light"){
echo" Сейчас синий ";}
echo"</option>
<option value='dark'>Красный</option>
<option value='light'>Синий</option>
</select>";
///
echo" </br> Раса: ";
if($b[rasa]=="war"){
echo" <img src='../img/user/icons/".$b[storona]."_war.png'> <b>Воин</b> ";}
  if($b[rasa]=="mage"){
echo" <img src='../img/user/icons/".$b[storona]."_mage.png'> <b>Маг</b> ";}
  if($b[rasa]=="monk"){
echo" <img src='../img/user/icons/".$b[storona]."_monk.png'> <b>Монах</b> ";}

echo" </br><select name='rasa'>
<option value='".$b[rasa]."'>";
  if($b[rasa]=="war"){
echo" Сейчас воин ";}
  if($b[rasa]=="mage"){
echo" Сейчас маг ";}
  if($b[rasa]=="monk"){
echo" Сейчас монах ";}
   echo" </option>
<option value='war'>Воин</option>
<option value='mage'>Маг</option>
<option value='monk'>Монах</option>
</select>";
    ///////////////////////////////
echo"</br> Клан: <br/>
<input class='input' type='text' value='$b[clan]' size='20' name='clan'></br>";
   ///////////////////////////////
echo" Должность:
</br>
<select name='clan_prava'>
<option value='".$b[clan_prava]."'>";
if($b[clan_prava] == leader){
echo " Сейчас лидер";
}
if($b[clan_prava] == deputy){
echo " Сейчас заместитель";
}
if($b[clan_prava] == squaddie){
echo " Сейчас рядовой";
}
if($b[clan_prava] == rookie){
echo " Сейчас новобранец";
}
if($b[clan_prava] == no){
echo " Без клана";
}
echo" </option>
<option value='leader'>Лидер</option>
<option value='deputy'>Заместителъ</option>
<option value='squaddie'>Рядовой</option>
<option value='rookie'>Новобранец</option>
<option value='no'>Без клана</option>
</select>";
///
echo"</br> Уровень: <br/>
<input class='input' type='text' value='$b[lvl]' size='20' name='lvl'>";
///
echo"</br> Здоровье: <br/>
<input class='input' type='text' value='$b[hp]' size='20' name='hp'>";
///
echo"</br> Макс. здоровье:
<br/>
<input class='input' type='text' value='$b[hpfull]' size='20' name='hpfull'>";
///
echo"</br> Атака: <br/>
<input class='input' type='text' value='$b[attack]' size='20' name='attack'>";
///
echo"</br> Защита: <br/>
<input class='input' type='text' value='$b[def]' size='20' name='def'>";
///
echo"</br> Золото: <br/>
<input class='input' type='text' value='$b[gold]' size='20' name='gold'>";
///
echo"</br> Серебро: <br/>
<input class='input' type='text' value='$b[silver]' size='20' name='silver'>";
///
echo"</br> Опыт: <br/>
<input class='input' type='text' value='$b[exp]' size='20' name='exp'></br>";
///
echo" </div><div class='link_center item_center'> <input class='button' type='submit' value='Изменить'>
</form></div>";
}break;

case 'edit':
	

	



$faq = mysql_query("SELECT * FROM `user` WHERE `login` = '".$_POST[login]."' ");
$us = mysql_fetch_array($faq);





$dater = time();
mysql_query("INSERT INTO `admin_log` SET  `msg` = '$user[login] изменил настройки 
</br> login с
<a>$us[login]</a> 
до <a> $_POST[login] 
</a>
</br>
Пароль: с <a> $us[password]  </a> до  <a>$_POST[password] </a>
</br> 
Пол: с <a> $us[prava]  </a> 
до  <a> $_POST[prava] </a>
</br>
Пол: с <a> $us[sex]  </a> 
до  <a> $_POST[sex] </a>
</br> 
Сторона: с <a> $us[storona]  </a> до  <a>$_POST[storona] </a>
</br> 
Раса: с <a> $us[rasa]  </a> 
до  <a>$_POST[rasa] </a>
</br> 
Клан: с <a> $us[clan]  </a> 
до  <a>$_POST[clan] </a>
</br> 
Должность: с <a> $us[clan_prava]  </a> до  <a>$_POST[clan_prava] </a>
</br> 
Здоровье: с <a> $us[hp]  </a> 
до  <a>$_POST[hp] </a>
</br> 
Макс. здоровье: с <a> $us[hpfull]  </a> до  <a>$_POST[hpfull] </a>
</br> 
Атака: с <a> $us[attack]  </a> до  <a>$_POST[attack] </a>
</br> 
Защита: с <a> $us[def]  </a> до  <a>$_POST[def] </a>
</br> 
Золото: с <a> $us[gold]  </a> 
до  <a>$_POST[gold] </a>
</br> 
Серебро с <a> $us[silver]  </a> 
до  <a>$_POST[silver] </a>', `time` = '$dater'");


//////////////

if(empty($_GET[user])){echo"Ошибочка.";}else{
mysql_query("UPDATE `user` SET
        `login` = '$_POST[login]',
        `password` = '$_POST[password]',
        `prava` = '$_POST[prava]',
        `sex` = '$_POST[sex]',
        `storona` = '$_POST[storona]',
        `rasa` = '$_POST[rasa]',
        `clan` = '$_POST[clan]',
        `clan_prava` = '$_POST[clan_prava]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpfull` = '$_POST[hpfull]',
        `attack` = '$_POST[attack]',
        `def` = '$_POST[def]',
        `gold` = '$_POST[gold]',
        `silver` = '$_POST[silver]',
        `exp` = '$_POST[exp]'
 WHERE `login`='$_GET[user]'
 LIMIT 1") or die (mysql_error());

echo" <div class='title'> Сохранение </div>
<div class='empty_block'> Изменения приняты!</div> 
<div class='block_link'>
<a href='index.php'>
<img src='../img/images/arrow.png'> В админку </a></div>";

}}

}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>
